org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface PropertyType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface PropertyType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `propertyType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getName()` Returns the `name` element
    `java.lang.String` | `getValue()` Returns the `value` element
    `PropertyType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `PropertyType<T>` | `name(java.lang.String name)` Sets the `name` element
    `PropertyType<T>` | `removeId()` Removes the `id` attribute
    `PropertyType<T>` | `removeName()` Removes the `name` element
    `PropertyType<T>` | `removeValue()` Removes the `value` element
    `PropertyType<T>` | `value(java.lang.String value)` Sets the `value` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### name

          PropertyType<T> name(java.lang.String name)

      Sets the `name` element
      Parameters:
        `name` - the value for the element `name`
      Returns:
        the current instance of `PropertyType`

    - #### getName

          java.lang.String getName()

      Returns the `name` element
      Returns:
        the node defined for the element `name`

    - #### removeName

          PropertyType<T> removeName()

      Removes the `name` element
      Returns:
        the current instance of `PropertyType`

    - #### value

          PropertyType<T> value(java.lang.String value)

      Sets the `value` element
      Parameters:
        `value` - the value for the element `value`
      Returns:
        the current instance of `PropertyType`

    - #### getValue

          java.lang.String getValue()

      Returns the `value` element
      Returns:
        the node defined for the element `value`

    - #### removeValue

          PropertyType<T> removeValue()

      Removes the `value` element
      Returns:
        the current instance of `PropertyType`

    - #### id

          PropertyType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `PropertyType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          PropertyType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `PropertyType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)